Range-v3 Range algorithms, views, and actions for the Standard Library |

Instances and minimal complete definitions | Public Member Functions | List of all members
ranges::take_view< Rng > Struct Template Reference
Views

## Public Member Functions
constexpr Rng | base () const
constexpr auto | begin ()
constexpr auto | begin () const
constexpr auto | end ()
constexpr auto | end () const
constexpr auto | size ()
constexpr auto | size () const
constexpr | take_view (Rng base, range_difference_t< Rng > cnt)

## Member Function Documentation

## ◆ begin()

template<typename Rng >

constexpr auto ranges::take_view< Rng >::begin | ( |  | ) |
| constexpr

Precondition
  requires `(!simple_view<Rng>())`

References ranges::begin.

## ◆ end()

template<typename Rng >

constexpr auto ranges::take_view< Rng >::end | ( |  | ) |
| constexpr

Precondition
  requires `(!simple_view<Rng>())`

## ◆ size()

template<typename Rng >

constexpr auto ranges::take_view< Rng >::size | ( |  | ) |
| constexpr

Precondition
  requires `sized_range<Rng>`